=== added directory 'hr_expense_analytic'
=== added file 'hr_expense_analytic/__init__.py'
--- hr_expense_analytic/__init__.py	1970-01-01 00:00:00 +0000
+++ hr_expense_analytic/__init__.py	2012-10-10 18:55:02 +0000
@@ -0,0 +1,1 @@
+import hr_expense_analytic

=== added file 'hr_expense_analytic/__openerp__.py'
--- hr_expense_analytic/__openerp__.py	1970-01-01 00:00:00 +0000
+++ hr_expense_analytic/__openerp__.py	2012-10-10 18:55:02 +0000
@@ -0,0 +1,42 @@
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#
+#    Copyright (c) 2012 Vauxoo - http://www.vauxoo.com/
+#    All Rights Reserved.
+#    info Vauxoo (info@vauxoo.com)
+############################################################################
+#    Coded by: el_rodo_1 (rodo@vauxoo.com)
+############################################################################
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+{
+    "name" : "hr_expense_analytic",
+    "version" : "1.0",
+    "author" : "Vauxoo",
+    "category" : "hr",
+    "description" : """This module add analytic account to departament""",
+    "website" : "http://www.vauxoo.com/",
+    "license" : "AGPL-3",
+    "depends" : ["hr","hr_expense","account"],
+    "init_xml" : [],
+    "demo_xml" : [],
+    "update_xml" : ["hr_expense_analytic_view.xml"],
+    "test": [],
+    "installable" : True,
+    "active" : False,
+}

=== added file 'hr_expense_analytic/hr_expense_analytic.py'
--- hr_expense_analytic/hr_expense_analytic.py	1970-01-01 00:00:00 +0000
+++ hr_expense_analytic/hr_expense_analytic.py	2012-10-10 18:55:02 +0000
@@ -0,0 +1,51 @@
+# -*- coding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#
+#    Copyright (c) 2012 Vauxoo - http://www.vauxoo.com
+#    All Rights Reserved.
+#    info@vauxoo.com
+############################################################################
+#    Coded by: Rodo (rodo@vauxoo.com)
+############################################################################
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+from osv import osv, fields
+
+
+class hr_department(osv.osv):
+    _inherit = "hr.department"
+
+    _columns = {
+        'analytic_account_id': fields.many2one('account.analytic.account','Analytic'),
+    }
+
+hr_department()
+
+class hr_expense_line(osv.osv):
+    _inherit ="hr.expense.line"
+    
+    def _get_analytic(self,cr,uid,context={}):
+        if context['depto']:
+            depto=self.pool.get('hr.department').browse(cr,uid,[context['depto']])[0]
+            return depto.analytic_account_id.id
+        return False
+    
+    _defaults= {
+        'analytic_account': _get_analytic
+    }
+    
+hr_expense_line()

=== added file 'hr_expense_analytic/hr_expense_analytic_view.xml'
--- hr_expense_analytic/hr_expense_analytic_view.xml	1970-01-01 00:00:00 +0000
+++ hr_expense_analytic/hr_expense_analytic_view.xml	2012-10-10 18:55:02 +0000
@@ -0,0 +1,55 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+
+        <record id="view_hr_expense_analytic" model="ir.ui.view">
+                <field name="name">view.hr.expense.analytic</field>
+                <field name="model">hr.department</field>
+                <field name="type">form</field>      
+                <field name="inherit_id" ref="hr.view_department_form"/>
+                <field name="arch" type="xml">
+                    <field name="company_id" position="after">
+                        <field name="analytic_account_id" />
+                    </field>
+                </field>
+        </record>
+
+        <record id="view_hr_expense_analytic_context" model="ir.ui.view">
+                <field name="name">view.hr.expense.analytic.context</field>
+                <field name="model">hr.expense.expense</field>
+                <field name="type">form</field>      
+                <field name="inherit_id" ref="hr_expense.view_expenses_form"/>
+                <field name="arch" type="xml">
+                    <field name="line_ids" position="replace">
+                        <field colspan="4" name="line_ids" nolabel="1" context="{'currency_id': currency_id, 'depto': department_id}">
+                                <form string="Expense Lines">
+                                    <group col="6" colspan="4">
+                                        <field name="product_id" on_change="onchange_product_id(product_id, uom_id, parent.employee_id, context)"/>
+                                        <field name="name" colspan="4"/>
+                                        <newline/>
+                                        <field name="unit_amount"/>
+                                        <field name="unit_quantity"/>
+                                        <field name="uom_id" on_change="onchange_product_id(product_id, uom_id, parent.employee_id, context)"/>
+                                    </group>
+                                    <group colspan="2" col="2" groups="analytic.group_analytic_accounting">
+                                        <separator string="Customer Project" colspan="2"/>
+                                        <field domain="[('type','=','normal')]" name="analytic_account"/>
+                                    </group>
+                                    <group colspan="2" col="2">
+                                        <separator string="References" colspan="2"/>
+                                        <field name="date_value"/>
+                                        <field name="ref"/>
+                                    </group>
+                                </form>
+                            </field>
+                    </field>
+                </field>
+        </record>
+
+                            
+
+
+
+
+    </data>
+</openerp>

